#!/bin/bash

# Module programs (mod_csts.F90 and mod_funcs.F90) do not have to compile alone.
if [[ ! -f "pts_ref_est_pen.o" ]]; then gfortran -c -fpic pts_ref_est_pen.F90 -o pts_ref_est_pen.o; fi
if [[ ! -f "calculo_tempes_densi_sealevel.o" ]]; then gfortran -c -fpic calculo_tempes_densi_sealevel.F90 -o calculo_tempes_densi_sealevel.o; fi
if [[ ! -f "calc_utmcandelasgrid.o" ]]; then gfortran -c -fpic calc_utmcandelasgrid.F90 -o calc_utmcandelasgrid.o; fi
if [[ ! -f "calc_geoswind.o" ]]; then gfortran -c -fpic calc_geoswind.F90 -o calc_geoswind.o; fi
if [[ ! -f "clasif_era_pen_kmeans.o" ]]; then gfortran -c -fpic clasif_era_pen_kmeans.F90 -o clasif_era_pen_kmeans.o; fi
if [[ ! -f "predictores_significativos.o" ]]; then gfortran -c -fpic predictores_significativos.F90 -o predictores_significativos.o; fi
if [[ ! -f "calc_utm_rej_era5_penin.o" ]]; then gfortran -c -fpic calc_utm_rej_era5_penin.F90 -o calc_utm_rej_era5_penin.o; fi

if [[ -f "CSTools.so" ]]; then rm CSTools.so; fi

R CMD SHLIB -o CSTools.so -fpic mod_csts.F90 mod_funcs.F90 training.F90 pts_ref_est_pen.o calculo_tempes_densi_sealevel.o calc_utmcandelasgrid.o calc_geoswind.o clasif_era_pen_kmeans.o predictores_significativos.o calc_utm_rej_era5_penin.o


